### Method

# Handy Flap get_transition_type

since: 1.2

#### Declaration [src]

    HdyFlapTransitionType
    hdy_flap_get_transition_type (
      HdyFlap* self
    )

#### Description [src]

Gets the type of animation used for reveal and fold transitions in `self`.

Available since: 1.2

Gets property | `Handy.Flap:transition-type`

#### Return value

Type: `HdyFlapTransitionType`

The current transition type of `self`.